Debian Bug report logs - #340047
perl should depend on libdb4.3 >=4.3.29 not 4.3.28

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Eric Lammerts <eric@lammerts.org>

Date: Sun, 20 Nov 2005 16:33:04 UTC

Severity: normal

Found in version perl/5.8.7-8

Fixed in version perl/5.8.7-10

Done: Brendan O'Dea <bod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#340047; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Eric Lammerts <eric@lammerts.org>:
New Bug report received and forwarded. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Lammerts <eric@lammerts.org>
To: submit@bugs.debian.org
Subject: perl should depend on libdb4.3 >=4.3.29 not 4.3.28
Date: Sun, 20 Nov 2005 11:19:31 -0500
Package: perl
Version: 5.8.7-8

Perl should depend on libdb4.3 >= 4.3.29, not ">= 4.3.28-1" as is 
currently the case. With libdb4.3 4.3.28-2 installed I get this:

$ perl -e 'use DB_File'
DB_File needs compatible versions of libdb & db.h
        you have db.h version 4.3.29 and libdb version 4.3.28
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

Upgrading libdb4.3 to 4.3.29-1 solves the problem.

Eric



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#340047; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Brendan O'Dea <bod@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 340047@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: Eric Lammerts <eric@lammerts.org>, 340047@bugs.debian.org
Cc: Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>
Subject: Re: Bug#340047: perl should depend on libdb4.3 >=4.3.29 not 4.3.28
Date: Mon, 21 Nov 2005 22:52:07 +1100
On Sun, Nov 20, 2005 at 11:19:31AM -0500, Eric Lammerts wrote:
>Package: perl
>Version: 5.8.7-8
>
>Perl should depend on libdb4.3 >= 4.3.29, not ">= 4.3.28-1" as is 
>currently the case. With libdb4.3 4.3.28-2 installed I get this:
>
>$ perl -e 'use DB_File'
>DB_File needs compatible versions of libdb & db.h
>        you have db.h version 4.3.29 and libdb version 4.3.28
>Compilation failed in require at -e line 1.
>BEGIN failed--compilation aborted at -e line 1.
>
>Upgrading libdb4.3 to 4.3.29-1 solves the problem.

It seems that DB_File checks the running version of libdb against what
was compiled against.

This check is exact:

    if (Major != DB_VERSION_MAJOR || Minor != DB_VERSION_MINOR
                || Patch != DB_VERSION_PATCH)
        croak("\nDB_File needs compatible versions...");

To make the behaviour match libdb4.3.shlibs I could probably change the
last test to "Patch >= DB_VERSION_PATCH".

Two questions for the libdb4.3 maintainers:

  * Is the ABI stable b/w patch revisions?
  * Why does libdb4.3 4.2.29-1 have 4.2.28-1 in the shlibs file?

--bod



Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#340047; Package perl. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. Full text and rfc822 format available.

Message #15 received at 340047@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Brendan O'Dea <bod@debian.org>
Cc: Eric Lammerts <eric@lammerts.org>, 340047@bugs.debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>
Subject: Re: [Pkg-db-devel] Re: Bug#340047: perl should depend on libdb4.3 >=4.3.29 not 4.3.28
Date: Tue, 29 Nov 2005 23:15:30 -0500
> Two questions for the libdb4.3 maintainers:
> 
>   * Is the ABI stable b/w patch revisions?
>   * Why does libdb4.3 4.2.29-1 have 4.2.28-1 in the shlibs file?

My memory's a bit cloudy, but I believe that the only API-related
changes were for Java.  The ABI should be identical, and that's why
the shlibs file wasn't bumped.



Reply sent to Brendan O'Dea <bod@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric Lammerts <eric@lammerts.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 340047-close@bugs.debian.org (full text, mbox):

From: Brendan O'Dea <bod@debian.org>
To: 340047-close@bugs.debian.org
Subject: Bug#340047: fixed in perl 5.8.7-10
Date: Thu, 15 Dec 2005 09:02:15 -0800
Source: perl
Source-Version: 5.8.7-10

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.8.7-10_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.8.7-10_all.deb
libperl-dev_5.8.7-10_powerpc.deb
  to pool/main/p/perl/libperl-dev_5.8.7-10_powerpc.deb
libperl-dev_5.8.7-10_sparc.deb
  to pool/main/p/perl/libperl-dev_5.8.7-10_sparc.deb
libperl5.8_5.8.7-10_powerpc.deb
  to pool/main/p/perl/libperl5.8_5.8.7-10_powerpc.deb
libperl5.8_5.8.7-10_sparc.deb
  to pool/main/p/perl/libperl5.8_5.8.7-10_sparc.deb
perl-base_5.8.7-10_powerpc.deb
  to pool/main/p/perl/perl-base_5.8.7-10_powerpc.deb
perl-base_5.8.7-10_sparc.deb
  to pool/main/p/perl/perl-base_5.8.7-10_sparc.deb
perl-debug_5.8.7-10_powerpc.deb
  to pool/main/p/perl/perl-debug_5.8.7-10_powerpc.deb
perl-debug_5.8.7-10_sparc.deb
  to pool/main/p/perl/perl-debug_5.8.7-10_sparc.deb
perl-doc_5.8.7-10_all.deb
  to pool/main/p/perl/perl-doc_5.8.7-10_all.deb
perl-modules_5.8.7-10_all.deb
  to pool/main/p/perl/perl-modules_5.8.7-10_all.deb
perl-suid_5.8.7-10_powerpc.deb
  to pool/main/p/perl/perl-suid_5.8.7-10_powerpc.deb
perl-suid_5.8.7-10_sparc.deb
  to pool/main/p/perl/perl-suid_5.8.7-10_sparc.deb
perl_5.8.7-10.diff.gz
  to pool/main/p/perl/perl_5.8.7-10.diff.gz
perl_5.8.7-10.dsc
  to pool/main/p/perl/perl_5.8.7-10.dsc
perl_5.8.7-10_powerpc.deb
  to pool/main/p/perl/perl_5.8.7-10_powerpc.deb
perl_5.8.7-10_sparc.deb
  to pool/main/p/perl/perl_5.8.7-10_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 340047@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Brendan O'Dea <bod@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 Dec 2005 01:32:14 +1100
Source: perl
Binary: perl-base libcgi-fast-perl libperl-dev perl-debug perl-modules perl libperl5.8 perl-suid perl-doc
Architecture: all powerpc source sparc 
Version: 5.8.7-10
Distribution: unstable
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Brendan O'Dea <bod@debian.org>
Description: 
 libperl-dev - Perl library: development files
 libperl5.8 - Shared Perl library
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-base  - The Pathologically Eclectic Rubbish Lister
 perl-debug - Debug-enabled Perl interpreter
 perl-suid  - Runs setuid Perl scripts
Closes: 340047 343335 343351
Changes: 
 perl (5.8.7-10) unstable; urgency=low
 .
   * Remove DB_File version checks (closes: #340047, #343335).
   * Remove Errno version check, which can cause problems with long-running
     processes that embed perl when perl is upgraded (closes: #343351)
 .
   * Apply upstream 26321: Disallow sprintf's vector handling for
     non-integer formats.
Files: 
 2a36bbd122756328dbb4f49eaf3c4edc 3687012 perl standard perl_5.8.7-10_powerpc.deb
 320404a44e27e0ed2dad07874aab8e67 29964 perl optional perl-suid_5.8.7-10_sparc.deb
 3e24c785fa8a5b9d59c63488c4d03ca3 599770 libdevel optional libperl-dev_5.8.7-10_sparc.deb
 a0c16a54f13f57fdaa4e79863011c709 719 perl standard perl_5.8.7-10.dsc
 5d340361a4d42b0dada6497f7eed5827 7208928 doc optional perl-doc_5.8.7-10_all.deb
 60236451b4698e0f24c7d7b60b5d79d1 2600358 perl optional perl-debug_5.8.7-10_powerpc.deb
 60ede85febfb6290e160295a59702ab0 39550 perl optional libcgi-fast-perl_5.8.7-10_all.deb
 6d7ef6762305b50457b6d6ccd0b5b678 1008 libs optional libperl5.8_5.8.7-10_powerpc.deb
 6f7f63533c2ad67229cb247acccb23a6 815176 perl required perl-base_5.8.7-10_powerpc.deb
 7d4bd219a44f6156ffcc74ee7a790fe2 3706586 perl standard perl_5.8.7-10_sparc.deb
 9bba6689c60e8f45983401faa6d7533e 2489058 perl optional perl-debug_5.8.7-10_sparc.deb
 a86467a01255f2068f3df1c6c1cc5129 2325808 perl standard perl-modules_5.8.7-10_all.deb
 c0eef72f5843f5cf83fe96c68dfc6c7e 1010 libs optional libperl5.8_5.8.7-10_sparc.deb
 db1a11ede918b2866d807dfc7a154f8f 656676 libdevel optional libperl-dev_5.8.7-10_powerpc.deb
 e21f709c30b9146d29d67fd3def78efa 162073 perl standard perl_5.8.7-10.diff.gz
 ea2e20daedf8a30176b24d428e4c0a35 32010 perl optional perl-suid_5.8.7-10_powerpc.deb
 f4a1d1569755d17354ba041433c1180b 789726 perl required perl-base_5.8.7-10_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDoZ1E8NyOALKMWZURAp34AKCyIY1bctcSR5s31uUD0RaLE6Qr1QCgjH/6
djnBC1LpAjhs/5b26uip3cg=
=65BA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 12:04:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:42:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.